JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
SystemAudioVolume Class Reference
juce_audio_devices » audio_io

Contains functions to control the system's master volume. More...

`#include <juce_SystemAudioVolume.h>`

## Static Public Member Functions
static float JUCE_CALLTYPE | getGain ()
| Returns the operating system's current volume level in the range 0 to 1.0.
static bool JUCE_CALLTYPE | setGain (float newGain)
| Attempts to set the operating system's current volume level.
static bool JUCE_CALLTYPE | isMuted ()
| Returns true if the system's audio output is currently muted.
static bool JUCE_CALLTYPE | setMuted (bool shouldBeMuted)
| Attempts to mute the operating system's audio output.

## Detailed Description

Contains functions to control the system's master volume.

## Member Function Documentation

## ◆ getGain()

static float JUCE_CALLTYPE SystemAudioVolume::getGain | ( |  | ) |
| static

Returns the operating system's current volume level in the range 0 to 1.0.

## ◆ setGain()

static bool JUCE_CALLTYPE SystemAudioVolume::setGain | ( | float | newGain | ) |
| static

Attempts to set the operating system's current volume level.

Parameters

  newGain | the level, between 0 and 1.0

Returns
  true if the operation succeeds

## ◆ isMuted()

static bool JUCE_CALLTYPE SystemAudioVolume::isMuted | ( |  | ) |
| static

Returns true if the system's audio output is currently muted.

## ◆ setMuted()

static bool JUCE_CALLTYPE SystemAudioVolume::setMuted | ( | bool | shouldBeMuted | ) |
| static

Attempts to mute the operating system's audio output.

Parameters

  shouldBeMuted | true if you want it to be muted

Returns
  true if the operation succeeds

The documentation for this class was generated from the following file:

- juce_SystemAudioVolume.h